package com.winhc.bigdata.spark.implicits

import org.apache.commons.lang3.StringUtils

/**
 * @Author: XuJiakai
 * @Date: 2020/7/13 20:03
 * @Description:
 */
object MapHelper {

  implicit class MapEnhancer(map: Map[String, String]) extends Serializable {
    def toJson(fields: Seq[String]): String = {
      val content =  fields.map(item => {
        if (item.contains("->")) {
          val Array(key, keyAlias) = item.split("->")
          s"${getValueOrNull(keyAlias)}:${getValueOrNull(map(key))}"
        } else {
          s"${getValueOrNull(item)}:${getValueOrNull(map(item))}"
        }
      }).mkString(",")
      s"{$content}"
    }
  }

  private def getValueOrNull(value: String): String = {
    if (StringUtils.isNotBlank(value)) {
      "\"" + value + "\""
    } else {
      "\"\""
    }
  }

}
