package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

case class company_brief_cancel_announcement_result()  extends CompanyDynamicHandle {
  /**
    * 信息描述
    *
    * @param old_map
    * @param new_map
    * @return
    */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = new_map.getOrElse("name", null)


  /**
    * 风险等级
    *
    * @param old_map
    * @param new_map
    * @return
    */
  override protected def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = "高风险"

  /**
    * 变更内容
    *
    * @param old_map
    * @param new_map
    * @return
    */
  override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String): String = new_map.toJson(Seq("cname->公司名称", "brief_cancel_result->简易注销结果", "announcement_apply_date->公告申请日期"))

}
