package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

/**
 * @Author: π
 * @Date: 2020/8/11 17:39
 * @Description: 双随机抽查
 */
case class company_double_random_check_info() extends CompanyDynamicHandle {


  /**
   * 来源表的变更类型，insert or update
   *
   * @return
   */
  override def org_type(): Seq[String] = Seq("insert")

  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = {
    s"""
       |任务编号：${new_map("check_task_num")}\n
       |任务名称：${new_map("check_task_name")}\n
       |抽查机关：${new_map("check_department")}\n
       |完成日期：${new_map("check_date")}
       |""".stripMargin
  }

  /**
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String): String = ""

  override protected def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = {
    "2"
  }
}
