package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

/**
  * 招聘信息
  * @Author ydw
  */
case class company_employment() extends CompanyDynamicHandle {
  /**
    * 信息描述
    *
    * @param old_map
    * @param new_map
    * @return
    */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = new_map.getOrElse("name", null)


  /**
    * 风险等级
    *
    * @param old_map
    * @param new_map
    * @return
    */
  override protected def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = "提示"

  /**
    * 变更内容
    *
    * @param old_map
    * @param new_map
    * @return
    */
  override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String): String = new_map.toJson(Seq("city->地区", "description->招聘描述", "source->招聘来源", "employ_num->招聘人数", "start_date->职位发布日期", "ori_salary->薪资", "education->学历", "experience->工作经验", "title->职位"))
}
