package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle
import com.winhc.bigdata.spark.implicits.MapHelper._

/**
 * @Author: XuJiakai
 * @Date: 2020/8/12 17:43
 * @Description: 融资历史
 */
case class company_finance() extends CompanyDynamicHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = s"获得了${new_map.getOrElse("round", "")}融资，由${new_map.getOrElse("inverstors", "")}投资"

  /**
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String): String = new_map.toJson(Seq(
    "company_name->公司名称"
    , "finance_time->融资时间"
    , "money->融资金额"
    , "round->轮次"
    , "inverstors->投资人"
  ))
}
