package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle
import com.winhc.bigdata.spark.implicits.MapHelper._

/**
 * @Author: XuJiakai
 * @Date: 2020/8/19 14:15
 * @Description:
 */
case class company_holder() extends CompanyDynamicHandle {


  /**
   * 来源表的变更类型，insert or update
   *
   * @return
   */
  override def org_type(): Seq[String] = Seq("insert", "update")

  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = s"股东及出资信息发生变化"

  /**
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String): String = new_map.toJson(Seq(
    "holder_id"
    , "holder_type"
    , "amount"
    , "capital"
    , "capital_actual"
    , "percent"
  ))
}
