package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle
import com.winhc.bigdata.spark.implicits.MapHelper._

/**
 * @Author: XuJiakai
 * @Date: 2020/8/11 17:39
 * @Description: 严重违法
 */
case class company_illegal_info() extends CompanyDynamicHandle {


  /**
   * 来源表的变更类型，insert or update
   *
   * @return
   */
  override def org_type(): Seq[String] = Seq("insert", "update")

  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = {
    if (old_map == null)
      return s"新增严重违法记录：${new_map.getOrElse("put_reason", "")}"

    if (old_map.get("remove_date") == null && new_map("remove_date") != null)
      return s"移除严重违法记录：${new_map.getOrElse("remove_reason", "")}"

    null
  }

  /**
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String): String = new_map.toJson(Seq(
    "put_reason->列入原因"
    , "put_date->列入时间"
    , "remove_date->移除时间"
    , "put_department->列入决定机关"
    , "remove_reason->移除原因"
    , "remove_department->移除决定机关"
    , "type->类型"
  ))
}
