package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

/**
 * @Author: π
 * @Date: 2020/8/11 17:39
 * @Description: 司法拍卖
 */
case class company_judicial_sale_combine_list() extends CompanyDynamicHandle {


  /**
   * 来源表的变更类型，insert or update
   *
   * @return
   */
  override def org_type(): Seq[String] = Seq("insert")

  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = {

    s"""
       |标题：${new_map("title")}\n
       |起拍价：${new_map("initial_price")}\n
       |拍卖时间：${new_map("start_time")}
       |""".stripMargin
  }

  /**
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String): String = new_map.toJson(Seq(
    "source_id->address"
  ))

  override protected def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = {
    "4"
  }
}
