package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

/**
 * @Author: π
 * @Date: 2020/8/11 17:39
 * @Description: 行政许可-信用中国
 */
case class company_license_creditchina() extends CompanyDynamicHandle {


  /**
   * 来源表的变更类型，insert or update
   *
   * @return
   */
  override def org_type(): Seq[String] = Seq("insert")

  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = {

    s"""
       |许可证编号：${new_map("licence_number")}\n
       |有效期自：${new_map("decision_date")}\n
       |有效期至：${new_map("end_date")}\n
       |许可机关：${new_map("department")}\n
       |许可内容：${new_map("resume")}
       |""".stripMargin
  }

  /**
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String): String = ""

  override protected def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = "2"
}
