package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

/**
 * @Author yyn
 * @Date 2020/8/11
 * @Description
 */
//企业公告
case class company_stock_announcement()extends CompanyDynamicHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = new_map("title")

  /**
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String = null): String = {
    s"""公告名称:${new_map("title")}\n
       |公告日期：${new_map("time")}\n""".stripMargin
  }

  /**
   * 变更时间
   *
   * @param new_map
   * @return
   */
//  override def get_change_time(new_map: Map[String, String]): String = new_map("biz_date")

  /**
   * 风险等级
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = "提示信息"
}