package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

/**
 * @Author: π
 * @Date: 2020/8/11 17:39
 * @Description: 终本案件
 */
case class company_zxr_final_case() extends CompanyDynamicHandle {


  /**
   * 来源表的变更类型，insert or update
   *
   * @return
   */
  override def org_type(): Seq[String] = Seq("insert")

  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = {

    s"""
       |案号：${new_map("case_no")}\n
       |执行法院：${new_map("court_name")}\n
       |立案日期：${new_map("case_create_time")}\n
       |终本日期：${new_map("case_final_time")}
       |""".stripMargin
  }

  /**
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String): String = new_map.toJson(Seq(
    "name->被执行人姓名"
    ,"identity_num->身份证号码/组织机构代码"
    ,"sex->性别"
    ,"case_no->案号"
    ,"court_name->执行法院"
    ,"case_create_time->立案时间"
    ,"case_final_time->终本日期"
    ,"exec_amount->执行标的（元）"
    ,"no_exec_amount->未履行金额"
  ))

  override protected def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = {
    "4"
  }
}
