package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle
import org.apache.commons.lang3.StringUtils

/**
 * @Author: π
 * @Date: 2020/8/18
 * @Description: 裁判文书
 */
case class wenshu_detail_combine() extends CompanyDynamicHandle {


  /**
   * 来源表的变更类型，insert or update
   *
   * @return
   */
  override def org_type(): Seq[String] = Seq("insert")

  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = {
    val t1 = new_map("name_type")
    var t2 = ""
    if (StringUtils.isNotBlank(new_map("name_type"))) {
      if ("y".equals(t1)) {
        t2 = "原告"
      } else {
        t2 = "被告"
      }
    }
    s"""
       |案由：${new_map("case_reason_level3")}\n
       |案号：${new_map("case_no")}\n
       |诉讼身份：${t2}\n
       |发布日期：${new_map("judge_date")}
       |""".stripMargin
  }

  /**
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String): String = ""

  override protected def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = {
    val t1 = new_map("name_type")
    var t2 = "2"
    if (StringUtils.isNotBlank(new_map("name_type"))) {
      if ("y".equals(t1)) {
        t2 = "2"
      } else {
        t2 = "3"
      }
    }
    t2
  }

}
