package com.winhc.bigdata.spark.test

import com.winhc.bigdata.spark.config.HBaseConfig
import com.winhc.bigdata.spark.utils.SparkUtils
import org.apache.hadoop.hbase.client.Put
import org.apache.hadoop.hbase.io.ImmutableBytesWritable
import org.apache.hadoop.hbase.util.Bytes
import org.apache.spark.internal.Logging

import scala.collection.mutable

/**
 * @Author: XuJiakai
 * @Date: 2020/5/26 10:41
 * @Description: 公司名称映射关系计算
 */
object TestSpark2Hbase extends Logging {
  val f_bytes: Array[Byte] = Bytes.toBytes("f")
  val name_bytes: Array[Byte] = Bytes.toBytes("name")
  val current_cid_bytes: Array[Byte] = Bytes.toBytes("current_cid")

  def main(args: Array[String]): Unit = {
    val map = mutable.Map[String, String](
    )
    val hbaseKVTable = "company_name_kv_tmp"

    val spark = SparkUtils.InitEnv("TestSpark2Hbase", map)
    import spark._

    val jobConf = HBaseConfig.HBaseOutputJobConf(hbaseKVTable)
    val df1 = spark.createDataFrame(Seq(("1", "2", "3"))).toDF("col0", "col1", "col2")
    df1.rdd.map(row => {
      val id = row(0).asInstanceOf[String]
      val name = row(1).asInstanceOf[String]
      val current_cid = row(2).asInstanceOf[String]
      val put = new Put(Bytes.toBytes(id))
      put.addColumn(f_bytes, name_bytes, Bytes.toBytes(name))
      if (!"0".equals(current_cid))
        put.addColumn(f_bytes, current_cid_bytes, Bytes.toBytes(current_cid))
      (new ImmutableBytesWritable, put)
    }).saveAsHadoopDataset(jobConf)

    logInfo("save hbase success!")
    spark.stop()
  }
}
