package com.winhc.bigdata.spark.utils

import org.apache.commons.lang3.StringUtils
import com.winhc.bigdata.spark.implicits.MapHelper._

/**
 * @Author: XuJiakai
 * @Date: 2020/7/7 13:59
 * @Description:
 */
object ChangeExtractUtils {

  //知识产权标签
  def get_ip_tags(type_val: String, name: String, date: String, no: String): String = {
    s"""{"type":${getValueOrNull(type_val)},"name":${getValueOrNull(name)},"date":${getValueOrNull(date)},"no":${getValueOrNull(no)}}""".trim
  }

  //获取指定字段集的标签Json
  def getTags(fldMap: Map[String, String], type_val: String, fields: Array[String]): String = {
    val json = fldMap.toJson(fields).substring(1)
    if (json.length == 1) {
      s"""{"type":${getValueOrNull(type_val)}""" + json
    } else {
      s"""{"type":${getValueOrNull(type_val)},""" + json
    }
  }


  private def getValueOrNull(value: String): String = {
    if (StringUtils.isNotBlank(value)) {
      "\"" + value + "\""
    } else {
      "\"\""
    }
  }


  def main(args: Array[String]): Unit = {
    val map = Map("a" -> "b", "b" -> "c")
    println(map.toJson(Seq()))
    println(getTags(map, "a", Array[String]()))
  }
}
