package com.winhc.bigdata.spark.utils

import org.apache.spark.sql.types.{DataType, DoubleType, LongType, StringType, TimestampType}

/**
 * @Author: XuJiakai
 * @Date: 2020/8/3 11:38
 * @Description:
 */
object DataTypeUtils {
  def getDataType(dataType: DataType): String = {
    dataType match {
      case StringType => {
        s"STRING"
      }
      case LongType => {
        s"BIGINT"
      }
      case TimestampType => {
        s"DATETIME"
      }
      case DoubleType=>{
        "DOUBLE"
      }
      case _ => {
        println(s"other type:${dataType.typeName}")
        throw new RuntimeException
      }
    }
  }

}
